Subject: Re: [Softwires] Questions on: draft-cui-softwire-host-4over6
From: Yong Cui <[email-masked]>
To: Ole Troan <[email-masked]>, "Lee, Yiu" <[email-masked]>
Cc: "[email-masked] list" <[email-masked]>
Date: Sat, 02 Apr 2011 11:45:55 +0800
List-Id: softwires wg discussion list <softwires.ietf.org>

Thanks Ole for your explanation.
So the public 4over6 is just a slight revision to DS-Lite:
We need to remove NAT in DS-Lite and make the client get public IPv4
address.

Yong

-----Original Message-----
From: Ole Troan <[email-masked]>
Date: Fri, 1 Apr 2011 12:05:31 +0200
To: "Lee, Yiu" <[email-masked]>
Cc: Mark Townsley <[email-masked]>, Yong Cui
<[email-masked]>, "[email-masked] list"
<[email-masked]>
Subject: Re: [Softwires] Questions on: draft-cui-softwire-host-4over6

>> Absolutely. L2TP tunnels are widely use in many areas including 4over6.
>> The motivation of this draft is to extend dslite to re-use the same
>> framework to provision a public IP to the B4 element and the AFTR not to
>> NAT. I agree RFC5571 can achieve the same objective, but this will make
>> the deployment easier to do two functions on the AFTR. Does this make
>> sense to you?
>
>Yiu explained this to me during PCP, and I think I get it now.
>
>this is for the case where one has already deployed DS-lite to a customer.
>for whatever reason DS-lite fails for this end user (e.g. some
>application doesn't work through the CGN).
>
>4over6 provides a solution for provisioning a non NATed non port
>restricted public IPv4 address to this end user.
>
>seems to me a very valid use case and something we should measure all of
>the 4 over 6 mechanisms (ds-lite, 4rd, divi...) against.
>
>cheers,
>Ole
>